import { type ParseWantedDependencyResult } from '@pnpm/parse-wanted-dependency';
import { type Config } from '@pnpm/config';
export type GetPatchedDependencyOptions = {
    lockfileDir: string;
} & Pick<Config, 'virtualStoreDir' | 'modulesDir'>;
export declare function getPatchedDependency(rawDependency: string, opts: GetPatchedDependencyOptions): Promise<ParseWantedDependencyResult>;
export declare function getVersionsFromLockfile(dep: ParseWantedDependencyResult, opts: GetPatchedDependencyOptions): Promise<{
    versions: {
        gitTarballUrl: string | undefined;
        name: string;
        peersSuffix: string | undefined;
        version: string;
    }[];
    preferredVersions: {
        gitTarballUrl: string | undefined;
        name: string;
        peersSuffix: string | undefined;
        version: string;
    }[];
}>;
